package com.lantone.qc.trans.taizhou;

import com.google.common.collect.Lists;
import com.lantone.qc.pub.model.doc.MedicalWritingDoc;
import com.lantone.qc.pub.model.vo.MedrecVo;
import com.lantone.qc.trans.ModelDocTrans;
import com.lantone.qc.trans.comsis.OrdinaryAssistant;
import com.lantone.qc.trans.taizhou.util.TzXmlUtil;

import java.util.List;
import java.util.Map;

/**
 * @Description: 病历书写规范文档生成
 * @author: rengb
 * @time: 2020/3/17 13:27
 */
public class TaiZhouMedicalWritingDocTrans extends ModelDocTrans {

    @Override
    public List<MedicalWritingDoc> extract(MedrecVo medrecVo) {
        List<MedicalWritingDoc> retList = Lists.newArrayList();
        List<String> contents = (List) medrecVo.getContent().get("content");
        contents.forEach(content -> {
            retList.add(getMedicalWritingDoc(content));
        });
        return retList;
    }

    private MedicalWritingDoc getMedicalWritingDoc(String content) {
        Map<String, String> structureMap = OrdinaryAssistant.mapKeyContrast(TzXmlUtil.getXmlToMapForTZ(content), keyContrasts);

        MedicalWritingDoc medicalWritingDoc = new MedicalWritingDoc();
        medicalWritingDoc.setStructureMap(structureMap);

        return medicalWritingDoc;
    }

    private List<String> keyContrasts = Lists.newArrayList();

}